<?php

/**
 * @file
 */

$plugin = array(
  'schema' => 'section_type',
  'access' => 'administer section type',
  'create access' => 'create section types',
  'delete access' => 'delete section types',
  'menu' => array(
    'menu item' => 'section_type',
    'menu title' => 'Section types',
    'menu description' => 'Administer section types',
  ),
  'title singular' => t('Section type'),
  'title plural' => t('Section types'),
  'title singular proper' => t('Section type'),
  'title plural proper' => t('Section types'),
  'export' => array(
    'admin_title' => 'label',
    'admin_description' => 'description',
  ),
  'handler' => 'section_type_ui',
);

/**
 *
 */
function section_type_save($type) {
  if ($type->export_type & EXPORT_IN_DATABASE) {
    $update = array('name');
  }
  else {
    $update = array();
    $type->export_type = EXPORT_IN_DATABASE;
  }

  $status = drupal_write_record('section_type', $type, $update);

  variable_set('menu_rebuild_needed', TRUE);

  return $status;
}

/**
 *
 */
function section_type_delete($type) {
  $name = is_object($type) ? $type->name : $type;

  db_delete('section_type')
    ->condition('name', $name)
    ->execute();

  variable_set('menu_rebuild_needed', TRUE);
}
