<?php

/**
 * @file
 */

/**
 *
 */
class section_type_ui extends ctools_export_ui {

  /**
   * Overrides parent::hook_menu().
   */
  function hook_menu(&$items) {
    parent::hook_menu($items);

    $items['admin/structure/section_type/add']['title'] = t('Add section type');
    $items['admin/structure/section_type/import']['title'] = t('Import section type');
  }

  /**
   * Overrides parent::list_page().
   */
  function list_page($js, $input) {
    $this->rows = array();

    $form_state = array(
      'values' => array(
        'order' => 'name',
      ),
    );

    foreach (ctools_export_crud_load_all($this->plugin['schema'], $js) as $name => $item) {
      $allowed = drupal_map_assoc(array_keys($this->plugin['allowed operations']));
      $not_allowed = array('import');

      if ($item->type == t('Normal')) {
        $not_allowed[] = 'revert';
      }
      elseif ($item->type == t('Overridden')) {
        $not_allowed[] = 'delete';
      }
      else {
        $not_allowed[] = 'revert';
        $not_allowed[] = 'delete';
      }

      $not_allowed[] = empty($item->disabled) ? 'enable' : 'disable';

      foreach ($not_allowed as $op) {
        unset($allowed[$op]);
      }

      $operations = array();

      foreach ($allowed as $op) {
        $operations[$op] = array(
          'title' => $this->plugin['allowed operations'][$op]['title'],
          'href' => ctools_export_ui_plugin_menu_path($this->plugin, $op, $name),
        );
        if (!empty($this->plugin['allowed operations'][$op]['ajax'])) {
          $operations[$op]['attributes'] = array('class' => array('use-ajax'));
        }
        if (!empty($this->plugin['allowed operations'][$op]['token'])) {
          $operations[$op]['query'] = array('token' => drupal_get_token($op));
        }
      }

      $this->list_build_row($item, $form_state, $operations);
    }

    return $this->list_render($form_state);
  }

}
