<?php

/**
 * @file
 * Theme file for Section.
 */

/**
 * Returns HTML for a list of available section types for section creation.
 */
function theme_section_add_list($variables) {
  $types = $variables['types'];
  $output = '';

  if ($types) {
    $output = '<dl class="section-type-list">';
    foreach ($types as $item) {
      $output .= '<dt>' . l($item['title'], $item['href'], $item['localized_options']) . '</dt>';
      $output .= '<dd>' . filter_xss_admin($item['description']) . '</dd>';
    }
    $output .= '</dl>';
  }
  else {
    $output = '<p>' . t('You have not created any sections types yet. Go to the <a href="@create-sections">section type creation page</a> to add a new section type.', array('@create-section' => url('admin/structure/section_type/add'))) . '</p>';
  }

  return $output;
}
